<script language=JavaScript>
<!--
//			2005.04.27 新規作成 梅原 浩司
			
	function submitForm(StrPrefix) {

		var LsResult	= "";					//	エラーメッセージ
		var LsName		= "";					//	チェックする項目名
		var LoObject	= null;					//	チェックするコントロール
		var LoForm		= document.insertForm;	//	チェックするフォーム

		//	メソッドタイトル
		LsName = "メソッドタイトル";
		LoObject = LoForm.LoTytle;

		//	必須入力チェック
		LsResult = _COM_isInput(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	カナ文字チェック
		LsResult = isHanKana(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	カンマ入力チェック
		LsResult = _COM_checkComma(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	予約語チェック
		LsResult = _COM_checkReservationWord(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	バイト数チェック
		LsResult = _COM_isLength(LoObject.value, LoObject.maxLength);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		if (StrPrefix == ''){
	
			//	外部ID
			LsName = "外部ID";
			LoObject = LoForm.ForeignID;
			//	必須入力チェック
			LsResult = _COM_isInput(LoObject.value);
			if( LsResult ) {
				alert( LsName+LsResult );
				LoObject.focus();
				return;
			}
			//	カナ文字チェック
			LsResult = isHanKana(LoObject.value);
			if( LsResult ) {
				alert( LsName+LsResult );
				LoObject.focus();
				return;
			}
			//	バイト数チェック
			LsResult = _COM_isLength(LoObject.value, LoObject.maxLength);
			if( LsResult ) {
				alert( LsName+LsResult );
				LoObject.focus();
				return;
			}
		}
		//	キーワード
		LsName = "キーワード";
		LoObject = LoForm.KeyWord;
		//	カナ文字チェック
		LsResult = isHanKana(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	バイト数チェック
		LsResult = _COM_isLength(LoObject.value, LoObject.maxLength);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}

		//	メソッドの説明
		LsName = "メソッドの説明";
		LoObject = LoForm.Loexplanation;
		//	カナ文字チェック
		LsResult = isHanKana(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	バイト数チェック
		LsResult = _COM_isLength(LoObject.value, 256);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}

		//	メソッドのバージョン
		LsName = "メソッドのバージョン";
		LoObject = LoForm.Version;
		//	バイト数チェック
		LsResult = _COM_isLength(LoObject.value, LoObject.maxLength);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	カナ文字チェック
		LsResult = isHanKana(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		
		// 開始日付
		LsName = "開始日付";
		LoObject = LoForm.StartDate;
		// 日付チェック
		LsResult = _COM_isDate(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		
		// 終了予定日付
		LsName = "終了予定日付";
		LoObject = LoForm.EndDate;
		// 日付チェック
		LsResult = _COM_isDate(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		
		// 期間
		LsName = "期間";
		LoObject = LoForm.PeriodNum;
		//	バイト数チェック
		LsResult = _COM_isLength(LoObject.value, LoObject.maxLength);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	正数値チェック
		LsResult = _COM_isIntegerNumber(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		
		// 配下のLOIDチェック
		LsName = "配下のLOID";
		LoObject = LoForm.MethodLOID;
		//	バイト数チェック
		LsResult = _COM_isLength(LoObject.value, LoObject.maxLength);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}

		LoForm.submit();
	}
-->
</script>
